exports.facebook = function(navController){
	
var win1 = Titanium.UI.createWindow({  
    title:'Facebook - MásMetrobusMX',
    backgroundColor: '#3d3d3d',
      orientationModes: [
        Titanium.UI.PORTRAIT,
        Titanium.UI.UPSIDE_PORTRAIT,
        Titanium.UI.LANDSCAPE_LEFT,
        Titanium.UI.LANDSCAPE_RIGHT
    ],
});

var header = Titanium.UI.createButton({
		image:'metritomx.png'
});
win1.add(header);
header.addEventListener('click', function() { win1.close(); });

var logoheader = Titanium.UI.createImageView({
backgroundImage: 'LogoMetrobus.png'
});
win1.add(logoheader);

var nombre = Titanium.UI.createImageView({
backgroundImage: 'HeadMB.png'
});
win1.add(nombre);



var imageThumbnail = Titanium.UI.createImageView({
    borderRadius:50, 
    backgroundColor: '#000',
    borderSize: 10,
});
win1.add(imageThumbnail);

var buttonSelectImage = Titanium.UI.createButton({
    title: ''+L("selectphoto"),
    backgroundImage: 'btnnaranja.png'
});

var dialog = Titanium.UI.createOptionDialog({
	title : ''+L("selectphoto"),
	options : [''+L("selectgallery"), ''+L("cancel")],
	cancel : 1
});

buttonSelectImage.addEventListener('click', function(e) {
	dialog.show();
});

var verificafoto=0;
var verificaestacion=333;
dialog.addEventListener('click', function(e) {

	if(e.index == 0) {

		Titanium.Media.openPhotoGallery({
			success : function(event) {
				selectedImage = event.media;
				if(event.mediaType == Ti.Media.MEDIA_TYPE_PHOTO) {
					imageThumbnail.image = selectedImage;
					verificafoto=1;
				}
			},
			cancel : function() {
			}
		});
	} 

});
win1.add(buttonSelectImage);

var txtMessage = Titanium.UI.createTextArea({
    value: '',
    font: {fontSize: 15},
    borderStyle: 2,
    backgroundColor: '#fff'
});
win1.add(txtMessage);



//create your facebook session and post to fb 
function postToFacebook() {   
	//if the user is not logged in, do so, else post to wall 
	if(Titanium.Facebook.loggedIn == false) {
		//Titanium.Facebook.appid = '252235321506456';
		Titanium.Facebook.appid = '257174271032332';
		//Titanium.Facebook.appid = '257174271032332';
		
		Titanium.Facebook.permissions = ['publish_stream'];
		// Permissions your app needs
		Titanium.Facebook.addEventListener('login', function(e) {
			if(e.success) {
				alert(''+L("facebook_identified"));
			} else if(e.error) {
				alert('Error: ' + e.error);
			} else if(e.cancelled) {
				alert(''+L("facebook_cancel"));
			}
		});
		
		//call the facebook authorize method to login
		Titanium.Facebook.authorize();
	} 
	else {
		// Now post the photo after you've confirmed that we have an access token
		var data = {
			//caption : 'I am posting a photo to my facebook page!',
			//caption: txtMessage.value+" en la estación "+cajitaEstacion.value,
			caption: txtMessage.value+' '+L("inthestation")+' '+cajitaEstacion.value + ' ' +L("usingandroid"),
			//caption2: cajitaEstacion.value,
			picture : selectedImage
		};
		
		Titanium.Facebook.requestWithGraphPath('433342930029324/photos', data, "POST", function(e) {
		//Titanium.Facebook.requestWithGraphPath('256934351054235/photos', data, "POST", function(e) {
			
			 if (e.success) {
				 alert( ''+L("truereport"));
			 } 
			 else {
				 alert(''+L("falsereport"));
				 Ti.API.error(e.error);
			 }
		});
	} 
}


var etiquetaEstacion = Titanium.UI.createLabel({
	fontSize:30,
	fontFamily: 'Helvetica', color: '#FFF', text: ''+L("stationselect")
});
win1.add(etiquetaEstacion);

var etiquetaDescri = Titanium.UI.createLabel({
	fontSize:30, fontFamily: 'Helvetica', color: '#FFF', text: ''+L("comment")
});
win1.add(etiquetaDescri); 

var cajitaEstacion = Titanium.UI.createButton({
	title:''+L("stationselect"),
	backgroundImage: 'btnazul.png'
});
win1.add(cajitaEstacion);

///var data1=[{title:'Acatitla',header:'A', leftImage: '../0.png'},{title:'Aculco', leftImage: '../1.png'},{title:'Agrícola Oriental', leftImage: '../2.png'},{title:'Allende', leftImage: '../3.png'},{title:'Apatlaco', leftImage: '../4.png'},{title:'Aquiles Serdán', leftImage: '../5.png'},{title:'Aragón', leftImage: '../6.png'},{title:'Atlalilco Linea 8', leftImage: '../7.png'},{title:'Atlalilco Linea 12', leftImage: '../8.png'},{title:'Auditorio', leftImage: '../9.png'},{title:'Autobuses del Norte', leftImage: '../10.png'},{title:'Azcapotzalco', leftImage: '../11.png'},{title:'Balbuena', header:'B', leftImage: '../12.png'},{title:'Balderas Linea 1', leftImage: '../13.png'},{title:'Balderas Linea 3', leftImage: '../14.png'},{title:'Barranca del Muerto', leftImage: '../15.png'},{title:'Bellas Artes Linea 2', leftImage: '../16.png'},{title:'Bellas Artes Linea 8', leftImage: '../17.png'},{title:'Bondojito', leftImage: '../18.png'},{title:'Bosque de Aragón', leftImage: '../19.png'},{title:'Boulevard Puerto Aéreo', leftImage: '../20.png'},{title:'Buenavista', leftImage: '../21.png'},{title:'Calle 11', header:'C', leftImage: '../22.png'},{title:'Camarones', leftImage: '../23.png'},{title:'Canal de San Juan', leftImage: '../24.png'},{title:'Canal del Norte', leftImage: '../25.png'},{title:'Candelaria Linea 1', leftImage: '../26.png'},{title:'Candelaria Linea 4', leftImage: '../27.png'},{title:'Centro Médico Linea 3', leftImage: '../28.png'},{title:'Centro Médico Linea 9', leftImage: '../29.png'},{title:'Cerro de la Estrella', leftImage: '../30.png'},{title:'Chabacano Linea 2', leftImage: '../31.png'},{title:'Chabacano Linea 8', leftImage: '../32.png'},{title:'Chabacano Linea 9', leftImage: '../33.png'},{title:'Chapultepec', leftImage: '../34.png'},{title:'Chilpancingo', leftImage: '../35.png'},{title:'Ciudad Azteca', leftImage: '../36.png'},{title:'Ciudad Deportiva', leftImage: '../37.png'},{title:'Colegio Militar', leftImage: '../38.png'},{title:'Constitución de 1917', leftImage: '../39.png'},{title:'Constituyentes', leftImage: '../40.png'},{title:'Consulado Linea 4', leftImage: '../41.png'},{title:'Consulado Linea 5', leftImage: '../42.png'},{title:'Copilco', leftImage: '../43.png'},{title:'Coyoacán', leftImage: '../44.png'},{title:'Coyuya', leftImage: '../45.png'},{title:'Cuatro Caminos', leftImage: '../46.png'},{title:'Cuauhtémoc', leftImage: '../47.png'},{title:'Cuitlahuac', leftImage: '../48.png'},{title:'Culhuacan', leftImage: '../49.png'},{title:'Deportivo 18 de Marzo Linea 3', header:'D', leftImage: '../50.png'},{title:'Deportivo 18 de Marzo Linea 6', leftImage: '../51.png'},{title:'Deportivo Oceanía', leftImage: '../52.png'},{title:'División del Norte', leftImage: '../53.png'},{title:'Doctores', leftImage: '../54.png'},{title:'Ecatepec', header:'E', leftImage: '../55.png'},{title:'Eduardo Molina', leftImage: '../56.png'},{title:'Eje Central', leftImage: '../57.png'},{title:'El Rosario Linea 6', leftImage: '../58.png'},{title:'El Rosario Linea 7', leftImage: '../59.png'},{title:'Ermita Linea 2', leftImage: '../60.png'},{title:'Ermita Linea 12', leftImage: '../61.png'},{title:'Escuadrón 201', leftImage: '../62.png'},{title:'Etiopía / Plaza de la Transparencia', leftImage: '../63.png'},{title:'Eugenia', leftImage: '../64.png'},{title:'Ferrería', header:'F', leftImage: '../65.png'},{title:'Fray Servando', leftImage: '../66.png'},{title:'Garibaldi / Lagunilla Linea 8', header:'G', leftImage: '../67.png'},{title:'Garibaldi / Lagunilla Linea B', leftImage: '../68.png'},{title:'General Anaya', leftImage: '../69.png'},{title:'Gómez Farías', leftImage: '../70.png'},{title:'Guelatao', leftImage: '../71.png'},{title:'Guerrero Linea 3', leftImage: '../72.png'},{title:'Guerrero Linea B', leftImage: '../73.png'},{title:'Hangares', header:'H', leftImage: '../74.png'},{title:'Hidalgo Linea 2', leftImage: '../75.png'},{title:'Hidalgo Linea 3', leftImage: '../76.png'},{title:'Hospital 20 de Noviembre', leftImage: '../77.png'},{title:'Hospital General', leftImage: '../78.png'},{title:'Impulsora', header:'I', leftImage: '../79.png'},{title:'Indios Verdes', leftImage: '../80.png'},{title:'Instituto del Petróleo Linea 5', leftImage: '../81.png'},{title:'Instituto del Petróleo Linea 6', leftImage: '../82.png'},{title:'Insurgentes', leftImage: '../83.png'},{title:'Insurgentes Sur', leftImage: '../84.png'},{title:'Isabel la Católica', leftImage: '../85.png'},{title:'Iztacalco', leftImage: '../86.png'},{title:'Iztapalapa', leftImage: '../87.png'},{title:'Jamaica Linea 4', header:'J', leftImage: '../88.png'},{title:'Jamaica Linea 9', leftImage: '../89.png'},{title:'Juanacatlán', leftImage: '../90.png'},{title:'Juárez', leftImage: '../91.png'},{title:'La Paz', header:'L', leftImage: '../92.png'},{title:'La Raza Linea 3', leftImage: '../93.png'},{title:'La Raza Linea 5', leftImage: '../94.png'},{title:'La Viga', leftImage: '../95.png'},{title:'La Villa-Basílica', leftImage: '../96.png'},{title:'Lagunilla', leftImage: '../97.png'},{title:'Lázaro Cárdenas', leftImage: '../98.png'},{title:'Lindavista', leftImage: '../99.png'},{title:'Lomas Estrella', leftImage: '../100.png'},{title:'Los Reyes', leftImage: '../101.png'},{title:'Martín Carrera Linea 4', header:'M', leftImage: '../102.png'},{title:'Martín Carrera Linea 6', leftImage: '../103.png'},{title:'Merced', leftImage: '../104.png'},{title:'Mexicaltzingo', leftImage: '../105.png'},{title:'Miguel Angel de Quevedo', leftImage: '../106.png'},{title:'Misterios', leftImage: '../107.png'},{title:'Mixcoac Linea 7', leftImage: '../108.png'},{title:'Mixcoac Linea 12', leftImage: '../109.png'},{title:'Mixiuhca', leftImage: '../110.png'},{title:'Moctezuma', leftImage: '../111.png'},{title:'Morelos Linea 4', leftImage: '../112.png'},{title:'Morelos Linea B', leftImage: '../113.png'},{title:'Muzquiz', leftImage: '../114.png'},{title:'Nativitas', header:'N', leftImage: '../115.png'},{title:'Nezahualcóyotl', leftImage: '../116.png'},{title:'Niños Héroes', leftImage: '../117.png'},{title:'Nopalera', leftImage: '../118.png'},{title:'Normal', leftImage: '../119.png'},{title:'Norte 45', leftImage: '../120.png'},{title:'Obrera', header:'O', leftImage: '../121.png'},{title:'Observatorio', leftImage: '../122.png'},{title:'Oceanía Linea 5', leftImage: '../123.png'},{title:'Oceanía Linea B', leftImage: '../124.png'},{title:'Olímpica', leftImage: '../125.png'},{title:'Olivos', leftImage: '../126.png'},{title:'Panteones', header:'P', leftImage: '../127.png'},{title:'Pantitlán Linea 1', leftImage: '../128.png'},{title:'Pantitlán Linea 5', leftImage: '../129.png'},{title:'Pantitlán Linea 9', leftImage: '../130.png'},{title:'Pantitlán Linea A', leftImage: '../131.png'},{title:'Parque de los Venados', leftImage: '../132.png'},{title:'Patriotismo', leftImage: '../133.png'},{title:'Peñón Viejo', leftImage: '../134.png'},{title:'Periferico Oriente', leftImage: '../135.png'},{title:'Pino Suárez Linea 1', leftImage: '../136.png'},{title:'Pino Suárez Linea 2', leftImage: '../137.png'},{title:'Plaza Aragón', leftImage: '../138.png'},{title:'Polanco', leftImage: '../139.png'},{title:'Politécnico', leftImage: '../140.png'},{title:'Popotla', leftImage: '../141.png'},{title:'Portales', leftImage: '../142.png'},{title:'Potrero', leftImage: '../143.png'},{title:'Puebla', leftImage: '../144.png'},{title:'R. Flores Magón', header:'R', leftImage: '../145.png'},{title:'Refinería', leftImage: '../146.png'},{title:'Revolución', leftImage: '../147.png'},{title:'Río de los Remedios', leftImage: '../148.png'},{title:'Romero Rubio', leftImage: '../149.png'},{title:'Salto del Agua Linea 1', header:'S', leftImage: '../150.png'},{title:'Salto del Agua Linea 8', leftImage: '../151.png'},{title:'San Andres Tomatlan', leftImage: '../152.png'},{title:'San Antonio', leftImage: '../153.png'},{title:'San Antonio Abad', leftImage: '../154.png'},{title:'San Cosme', leftImage: '../155.png'},{title:'San Joaquín', leftImage: '../156.png'},{title:'San Juan de Letrán', leftImage: '../157.png'},{title:'San Lázaro Linea 1', leftImage: '../158.png'},{title:'San Lázaro Linea B', leftImage: '../159.png'},{title:'San Pedro de los Pinos', leftImage: '../160.png'},{title:'Santa Anita Linea 4', leftImage: '../161.png'},{title:'Santa Anita Linea 8', leftImage: '../162.png'},{title:'Santa Marta', leftImage: '../163.png'},{title:'Sevilla', leftImage: '../164.png'},{title:'Tacuba Linea 2', header:'T', leftImage: '../165.png'},{title:'Tacuba Linea 7', leftImage: '../166.png'},{title:'Tacubaya Linea 1', leftImage: '../167.png'},{title:'Tacubaya Linea 7', leftImage: '../168.png'},{title:'Tacubaya Linea 9', leftImage: '../169.png'},{title:'Talismán', leftImage: '../170.png'},{title:'Tasqueña', leftImage: '../171.png'},{title:'Tepalcates', leftImage: '../172.png'},{title:'Tepito', leftImage: '../173.png'},{title:'Terminal Aérea', leftImage: '../174.png'},{title:'Tezonco', leftImage: '../175.png'},{title:'Tezozomoc', leftImage: '../176.png'},{title:'Tlahuac', leftImage: '../177.png'},{title:'Tlaltenco', leftImage: '../178.png'},{title:'Tlatelolco', leftImage: '../179.png'},{title:'UAM-I', header:'U', leftImage: '../180.png'},{title:'Universidad', leftImage: '../181.png'},{title:'Valle Gómez', header:'V', leftImage: '../182.png'},{title:'Vallejo', leftImage: '../183.png'},{title:'Velódromo', leftImage: '../184.png'},{title:'Viaducto', leftImage: '../185.png'},{title:'Villa de Aragón', leftImage: '../186.png'},{title:'Villa de Cortés', leftImage: '../187.png'},{title:'Viveros / Derechos Humanos', leftImage: '../188.png'},{title:'Xola', header:'X', leftImage: '../189.png'},{title:'Zapata Linea 3', header:'Z', leftImage: '../190.png'},{title:'Zapata Linea 12', leftImage: '../191.png'},{title:'Zapotitlan', leftImage: '../192.png'},{title:'Zaragoza', leftImage: '../193.png'},{title:'Zócalo', leftImage: '../194.png'}];
var data1=[{title:'Aeropuerto T1',header:'A', leftImage: '0.png'},{title:'Aeropuerto T2', leftImage: '1.png'},{title:'Alamos', leftImage: '2.png'},{title:'Altavista', leftImage: '3.png'},{title:'Alvaro Obregon', leftImage: '4.png'},{title:'Amores', leftImage: '5.png'},{title:'Andres Molina', leftImage: '6.png'},{title:'Antonio Maceo', leftImage: '7.png'},{title:'Archivo General de la Nacion', leftImage: '8.png'},{title:'Ayuntamiento', leftImage: '9.png'},{title:'Balderas',header:'B', leftImage: '10.png'},{title:'Bellas Artes', leftImage: '11.png'},{title:'Buenavista L1', leftImage: '12.png'},{title:'Buenavista L3', leftImage: '13.png'},{title:'Buenavista L4 Norte', leftImage: '14.png'},{title:'Buenavista L4 Sur', leftImage: '15.png'},{title:'Campeche',header:'C', leftImage: '16.png'},{title:'Canal de San Juan', leftImage: '17.png'},{title:'Canela', leftImage: '18.png'},{title:'CCH Oriente', leftImage: '19.png'},{title:'Cecilio Robelo', leftImage: '20.png'},{title:'Centro Cultural Universitario', leftImage: '21.png'},{title:'Centro Medico', leftImage: '22.png'},{title:'Centro SCOP', leftImage: '23.png'},{title:'Chilpancingo', leftImage: '24.png'},{title:'Circuito L1', leftImage: '25.png'},{title:'Circuito L3', leftImage: '26.png'},{title:'Circunvalacion', leftImage: '27.png'},{title:'Ciudad de los Deportes', leftImage: '28.png'},{title:'Ciudad Universitaria', leftImage: '29.png'},{title:'Colonia del Valle', leftImage: '30.png'},{title:'Coltongo', leftImage: '31.png'},{title:'Const de Apatzingan', leftImage: '32.png'},{title:'Corregidora', leftImage: '33.png'},{title:'Coyuya', leftImage: '34.png'},{title:'Cuahutemoc', leftImage: '35.png'},{title:'Cuitlahuac', leftImage: '36.png'},{title:'De La Salle',header:'D', leftImage: '37.png'},{title:'Del Moral', leftImage: '38.png'},{title:'Delegacion Cuauhtemoc', leftImage: '39.png'},{title:'Deportivo 18 de Marzo', leftImage: '40.png'},{title:'Doctor Galvez', leftImage: '41.png'},{title:'Doctor Marquez', leftImage: '42.png'},{title:'Doctor Vertiz', leftImage: '43.png'},{title:'Durango', leftImage: '44.png'},{title:'Eduardo Molina',header:'E', leftImage: '45.png'},{title:'Eje Central', leftImage: '46.png'},{title:'El Caminero', leftImage: '47.png'},{title:'El Chopo', leftImage: '48.png'},{title:'El Rodeo', leftImage: '49.png'},{title:'El Salvador', leftImage: '50.png'},{title:'Escandon', leftImage: '51.png'},{title:'Etiopia L2', leftImage: '52.png'},{title:'Etiopia L3', leftImage: '53.png'},{title:'Euzkaro', leftImage: '54.png'},{title:'Expo Reforma', leftImage: '55.png'},{title:'Felix Cuevas',header:'F', leftImage: '56.png'},{title:'Ferrocarril de Cintura', leftImage: '57.png'},{title:'Francia', leftImage: '58.png'},{title:'Fuentes Brotantes', leftImage: '59.png'},{title:'General Antonio de Leon',header:'G', leftImage: '60.png'},{title:'Glorieta de Colon', leftImage: '61.png'},{title:'Goma', leftImage: '62.png'},{title:'Guerrero', leftImage: '63.png'},{title:'Hamburgo',header:'H', leftImage: '64.png'},{title:'Heroe de Nacozari', leftImage: '65.png'},{title:'Hidalgo L3', leftImage: '66.png'},{title:'Hidalgo L4', leftImage: '67.png'},{title:'Hospital Balbuena', leftImage: '68.png'},{title:'Hospital General', leftImage: '69.png'},{title:'Hospital La Raza', leftImage: '70.png'},{title:'Indios Verdes',header:'I', leftImage: '71.png'},{title:'Insurgentes', leftImage: '72.png'},{title:'Isabel la Catolica', leftImage: '73.png'},{title:'Iztacalco', leftImage: '74.png'},{title:'Jardin Pushkin',header:'J', leftImage: '75.png'},{title:'Jose Maria Velasco', leftImage: '76.png'},{title:'Juarez L3', leftImage: '77.png'},{title:'Juarez L4', leftImage: '78.png'},{title:'Jupiter', leftImage: '79.png'},{title:'La Bombilla',header:'L', leftImage: '80.png'},{title:'La Joya', leftImage: '81.png'},{title:'La Merced', leftImage: '82.png'},{title:'La Patera', leftImage: '83.png'},{title:'La Piedad', leftImage: '84.png'},{title:'La Raza L1', leftImage: '85.png'},{title:'La Raza L3', leftImage: '86.png'},{title:'La Viga', leftImage: '87.png'},{title:'Las Americas', leftImage: '88.png'},{title:'Las Cruces Norte', leftImage: '89.png'},{title:'Las Cruces Sur', leftImage: '90.png'},{title:'Leyes de Reforma', leftImage: '91.png'},{title:'Magdalena de las Salinas',header:'M', leftImage: '120.png'},{title:'Manuel Gonzalez', leftImage: '92.png'},{title:'Mercado de San Juan', leftImage: '93.png'},{title:'Mercado de Sonora', leftImage: '94.png'},{title:'Mina', leftImage: '95.png'},{title:'Mixcalco', leftImage: '96.png'},{title:'Moctezuma', leftImage: '97.png'},{title:'Montevideo', leftImage: '98.png'},{title:'Morelos', leftImage: '99.png'},{title:'Museo de la Ciudad', leftImage: '100.png'},{title:'Museo de San Carlos', leftImage: '101.png'},{title:'Napoles',header:'N', leftImage: '102.png'},{title:'Nicolas Bravo', leftImage: '103.png'},{title:'Nuevo Leon L1', leftImage: '104.png'},{title:'Nuevo Leon L2', leftImage: '105.png'},{title:'Obrero Mundial',header:'O', leftImage: '106.png'},{title:'Olivo', leftImage: '107.png'},{title:'Parque Hundido',header:'P', leftImage: '108.png'},{title:'Parque Lira', leftImage: '109.png'},{title:'Patriotismo', leftImage: '110.png'},{title:'Perisur', leftImage: '111.png'},{title:'Pino Suarez', leftImage: '112.png'},{title:'Plaza de la Republica L1', leftImage: '113.png'},{title:'Plaza de la Republica L4', leftImage: '114.png'},{title:'Poliforum', leftImage: '115.png'},{title:'Poniente 128', leftImage: '116.png'},{title:'Poniente 134', leftImage: '117.png'},{title:'Poniente 146', leftImage: '118.png'},{title:'Potrero', leftImage: '119.png'},{title:'Progreso Nacional', leftImage: '121.png'},{title:'Puente de Alvarado', leftImage: '122.png'},{title:'Reforma',header:'R', leftImage: '123.png'},{title:'Republica de Argentina', leftImage: '124.png'},{title:'Republica de Chile', leftImage: '125.png'},{title:'Revolucion', leftImage: '126.png'},{title:'Ricardo Flores Magon', leftImage: '127.png'},{title:'Rio Churubusco', leftImage: '128.png'},{title:'Rio Frio', leftImage: '129.png'},{title:'Rio Mayo', leftImage: '130.png'},{title:'Rio Tecolutla', leftImage: '131.png'},{title:'Rojo Gomez', leftImage: '132.png'},{title:'San Jose de la Escalera',header:'S', leftImage: '133.png'},{title:'San Lazaro', leftImage: '134.png'},{title:'San Simon', leftImage: '135.png'},{title:'Santa Ursula', leftImage: '136.png'},{title:'Sonora', leftImage: '137.png'},{title:'Tacubaya',header:'T', leftImage: '138.png'},{title:'Teatro Blanquita', leftImage: '139.png'},{title:'Teatro de Pueblo', leftImage: '140.png'},{title:'Teatro Insurgentes', leftImage: '141.png'},{title:'Tenayuca', leftImage: '142.png'},{title:'Tepalcates', leftImage: '143.png'},{title:'Tlacotal', leftImage: '144.png'},{title:'Tlatelolco', leftImage: '145.png'},{title:'Tolnahuac', leftImage: '146.png'},{title:'Tres Anegas', leftImage: '147.png'},{title:'UPIICSA',header:'U', leftImage: '148.png'},{title:'Viaducto',header:'V', leftImage: '149.png'},{title:'Villa Olimpica', leftImage: '150.png'},{title:'Vocacional 5', leftImage: '151.png'},{title:'Xola',header:'X', leftImage: '152.png'}];

var nombres=new Array('Aeropuerto T1','Aeropuerto T2','Álamos','Altavista','Álvaro Obregón','Amores','Andrés Molina','Antonio Maceo','Archivo General de la Nación','Ayuntamiento','Balderas','Bellas Artes','Buenavista L1','Buenavista L3','Buenavista L4 Norte','Buenavista L4 Sur','Campeche','Canal de San Juan','Canela','CCH Oriente','Cecilio Robelo','Centro Cultural Universitario (C.C.U.)','Centro Médico','Centro SCOP','Chilpancingo','Circuito L1','Circuito L3','Circunvalación','Ciudad de los Deportes','Ciudad Universitaria (C.U.)','Colonia del Valle','Coltongo','Const de Apatzingán','Corregidora','Coyuya','Cuauhtémoc','Cuitláhuac','De La Salle','Del Moral','Delegacion Cuauhtémoc','Deportivo 18 de Marzo','Dr. Gálvez','Dr. Márquez','Dr. Vértiz','Durango','Eduardo Molina','Eje Central','El Caminero','El Chopo','El Rodeo','El Salvador','Escandón','Etiopía L2','Etiopía L3','Euzkaro','Expo Reforma','Felix Cuevas','Ferrocarril de Cintura','Francia','Fuentes Brotantes','General Antonio de León','Glorieta de Colón','Goma','Guerrero','Hamburgo','Héroe de Nacozari','Hidalgo L3','Hidalgo L4','Hospital Balbuena','Hospital General','Hospital La Raza','Indios Verdes','Insurgentes','Isabel la Católica','Iztacalco','Jardín Pushkin','José María Velasco','Juárez L3','Juárez L4','Júpiter','La Bombilla','La Joya','La Merced','La Patera','La Piedad','La Raza L1','La Raza L3','La Viga','Las Américas','Las Cruces Norte','Las Cruces Sur','Leyes de Reforma','Magdalena de las Salinas','Manuel González','Mercado de San Juan','Mercado de Sonora','Mina','Mixcalco','Moctezuma','Montevideo','Morelos','Museo de la Ciudad','Museo de San Carlos','Nápoles','Nicolás Bravo','Nuevo León L1','Nuevo León L2','Obrero Mundial','Olivo','Parque Hundido','Parque Lira','Patriotismo','Perisur','Pino Suárez','Plaza de la República L1','Plaza de la República L4','Polifórum','Poniente 128','Poniente 134','Poniente 146','Potrero','Progreso Nacional','Puente de Alvarado','Reforma','República de Argentina','República de Chile','Revolución','Ricardo Flores Magón','Río Churubusco','Río Frío','Río Mayo','Río Tecolutla','Rojo Gómez','San José de la Escalera','San Lázaro','San Simón','Santa Úrsula','Sonora','Tacubaya','Teatro Blanquita','Teatro de Pueblo','Teatro Insurgentes','Tenayuca','Tepalcates','Tlacotal','Tlatelolco','Tolnahuac','Tres Anegas','UPIICSA','Viaducto','Villa Olímpica','Vocacional 5','Xola');

var dialog2 = Titanium.UI.createOptionDialog();

cajitaEstacion.addEventListener('click',function(e)
{
	var root = Ti.UI.createView({});
	var view = Ti.UI.createView({});
	
	var tf1 = Titanium.UI.createTextField({
	color:'#336699',height:40, width:40, top:1, left:5});
	
	var etiquetaFiltro = Titanium.UI.createLabel({
	top:1, left:48, width: 'auto', height: 'auto', 
	fontSize:30,fontFamily: 'Helvetica', color: '#FFF', text: ''+L("enterthefirstletter") });

	view.add(etiquetaFiltro);
	view.add(tf1);
	root.add(view);	

    dialog2.buttonNames = ['Ok'];
    dialog2.title = ''+L("station");
	dialog2.androidView = root;
	dialog2.show();


	var tableview= Titanium.UI.createTableView();
	
	var iniciofiltro=0;
	function filtro()
	{
		switch((tf1.value).toUpperCase())
		{
			case  '': iniciofiltro= 0; 
	break;
	case  'A': iniciofiltro= 0; 
	break;
	case  'B': iniciofiltro= 10; 
	break;
	case  'C': iniciofiltro= 16; 
	break;
	case  'D': iniciofiltro= 37; 
	break;
	case  'E': iniciofiltro= 45; 
	break;
	case  'F': iniciofiltro= 56; 
	break;
	case  'G': iniciofiltro= 60; 
	break;
	case  'H': iniciofiltro= 64; 
	break;
	case  'I': iniciofiltro= 71; 
	break;
	case  'J': iniciofiltro= 75; 
	break;
	case  'L': iniciofiltro= 80; 
	break;
	case  'M': iniciofiltro= 92; 
	break;
	case  'N': iniciofiltro= 103; 
	break;
	case  'O': iniciofiltro= 107; 
	break;
	case  'P': iniciofiltro= 109; 
	break;
	case  'R': iniciofiltro= 123; 
	break;
	case  'S': iniciofiltro= 133; 
	break;
	case  'T': iniciofiltro= 138; 
	break;
	case  'U': iniciofiltro= 148; 
	break;
	case  'V': iniciofiltro= 149; 
	break;
	case  'X': iniciofiltro= 152; 
	break;
	}
		//Aqui decia 195 pero para que aparezca Zocalo
		var data=[154];
		for(var i=iniciofiltro;i<154;i++)
		{	data[i]= data1[i]; }

		tableview= Titanium.UI.createTableView({
	    data:data, top: 41, width : '100%', height: '80%',
		});
		view.add(tableview);	
		
	tableview.addEventListener('click',function(e)
	{
	verificaestacion= e.index;
	cajitaEstacion.value = nombres[e.index+iniciofiltro];
	cajitaEstacion.title = nombres[e.index+iniciofiltro];
	//dialog2.title = 'Estación: '+nombres[e.index+iniciofiltro];
	dialog2.title = ''+L("station")+' '+nombres[e.index+iniciofiltro];
	dialog2.hide();
	});
	
	}
	
	
	tf1.addEventListener('change', function(e)
	{	
		 // Ti.UI.Android.hideSoftKeyboard();  //------Linea android---------
		 if((tf1.value).length>1) tf1.value=(tf1.value).substring(2);
		 view.remove(tableview);
		 filtro(); 	
	 });
	
	tf1.addEventListener('click', function(e)
	{	tf1.value='';  });
	
});

	
var buttonFacebook = Titanium.UI.createButton({
    title: ''+L("sendtofacebook"),
    backgroundImage: 'btnverde.png'
});

buttonFacebook.addEventListener('click', function(e){
 if(verificafoto==1) { 
 	if(verificaestacion==333){alert(''+L("firststation"));}
 		else{postToFacebook();} } 
 else { alert(''+L("firstimage")); }
});
win1.add(buttonFacebook);

function randomString(length,current){
 current = current ? current : '';
 return length ? randomString( --length , "abcdefghiklmnopqrstuvwxyz".charAt( Math.floor( Math.random() * 60 ) ) + current ) : current;
};

Ti.Gesture.addEventListener("orientationchange", function (event) {
	buttonSelectImage.width='45%', buttonSelectImage.height= '15%',buttonSelectImage.top='22%',buttonSelectImage.left='5%';
    buttonFacebook.width='45%', buttonFacebook.height= '15%',buttonFacebook.top='22%',buttonFacebook.left='50%';
    imageThumbnail.top ='40%', imageThumbnail.left ='25%',imageThumbnail.width ='45%',imageThumbnail.height ='28%';
    etiquetaEstacion.top ='70%', etiquetaEstacion.left ='5%';
    cajitaEstacion.top ='70%', cajitaEstacion.left ='30%',cajitaEstacion.width ='61%',cajitaEstacion.height ='10%';
    etiquetaDescri.top ='82%', etiquetaDescri.left ='5%';
    txtMessage.top ='82%', txtMessage.left ='30%',txtMessage.width ='60%',txtMessage.height ='16%';
	header.top ='0%'; header.left = '0%'; header.width = '100%'; header.height = '20%';
	logoheader.top = '0%'; logoheader.left = '0%'; logoheader.width = '20%', logoheader.height = '15%';
	nombre.top = '5%'; nombre.left = '50%'; nombre.width = '45%', nombre.height = '8%';
	
    
    if (event.orientation === Ti.UI.LANDSCAPE_LEFT || event.orientation === Ti.UI.LANDSCAPE_RIGHT)
    {	
   buttonSelectImage.width='45%', buttonSelectImage.height= '15%',buttonSelectImage.top='22%',buttonSelectImage.left='5%';
    buttonFacebook.width='45%', buttonFacebook.height= '15%',buttonFacebook.top='22%',buttonFacebook.left='50%';
    imageThumbnail.top ='50%', imageThumbnail.left ='5%',imageThumbnail.width ='45%',imageThumbnail.height ='45%';
    etiquetaEstacion.top ='40%', etiquetaEstacion.left ='53%';
    cajitaEstacion.top ='50%', cajitaEstacion.left ='53%',cajitaEstacion.width ='42%',cajitaEstacion.height ='10%';
    etiquetaDescri.top ='60%', etiquetaDescri.left ='53%';
    txtMessage.top ='70%', txtMessage.left ='53%',txtMessage.width ='42%',txtMessage.height ='25%';
    header.top ='0%'; header.left = '0%'; header.width = '100%'; header.height = '20%';
	logoheader.top = '0%'; logoheader.left = '0%'; logoheader.width = '10%', logoheader.height = '15%';
	nombre.top = '5%'; nombre.left = '55%'; nombre.width = '40%', nombre.height = '8%';
		
  
    }
}); 


prueba();

function prueba(){
	var ancho = Titanium.Platform.displayCaps.platformWidth;
	var alto = Titanium.Platform.displayCaps.platformHeight;
	
	buttonSelectImage.width='45%', buttonSelectImage.height= '15%',buttonSelectImage.top='22%',buttonSelectImage.left='5%';
    buttonFacebook.width='45%', buttonFacebook.height= '15%',buttonFacebook.top='22%',buttonFacebook.left='50%';
    imageThumbnail.top ='40%', imageThumbnail.left ='25%',imageThumbnail.width ='45%',imageThumbnail.height ='28%';
    etiquetaEstacion.top ='70%', etiquetaEstacion.left ='5%';
    cajitaEstacion.top ='70%', cajitaEstacion.left ='30%',cajitaEstacion.width ='61%',cajitaEstacion.height ='10%';
    etiquetaDescri.top ='82%', etiquetaDescri.left ='5%';
    txtMessage.top ='82%', txtMessage.left ='30%',txtMessage.width ='60%',txtMessage.height ='16%';
   	header.top ='0%'; header.left = '0%'; header.width = '100%'; header.height = '20%';
	logoheader.top = '0%'; logoheader.left = '0%'; logoheader.width = '20%', logoheader.height = '15%';
	nombre.top = '5%'; nombre.left = '50%'; nombre.width = '45%', nombre.height = '8%';
	

    if (ancho>alto)
    {	
   buttonSelectImage.width='45%', buttonSelectImage.height= '15%',buttonSelectImage.top='22%',buttonSelectImage.left='5%';
    buttonFacebook.width='45%', buttonFacebook.height= '15%',buttonFacebook.top='22%',buttonFacebook.left='50%';
    imageThumbnail.top ='50%', imageThumbnail.left ='5%',imageThumbnail.width ='45%',imageThumbnail.height ='45%';
    etiquetaEstacion.top ='40%', etiquetaEstacion.left ='53%';
    cajitaEstacion.top ='50%', cajitaEstacion.left ='53%',cajitaEstacion.width ='42%',cajitaEstacion.height ='10%';
    etiquetaDescri.top ='60%', etiquetaDescri.left ='53%';
    txtMessage.top ='70%', txtMessage.left ='53%',txtMessage.width ='42%',txtMessage.height ='25%';
    header.top ='0%'; header.left = '0%'; header.width = '100%'; header.height = '20%';
	logoheader.top = '0%'; logoheader.left = '0%'; logoheader.width = '10%', logoheader.height = '15%';
	nombre.top = '5%'; nombre.left = '55%'; nombre.width = '40%', nombre.height = '8%';
		
	
  
    }
	 
};

return  win1;
};